/* global.css */

:root{
    --main_color: #b1b482;
    --sec_color: #dddddd;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    width: auto;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background-color: #f0f0f0;
}

#top_panel {
    position: relative;
    background-color: var(--main_color);
    color: #fff;
    padding: 10px;
    text-align: center;
}

#top_panel div, #sticky_menu div {
    display: inline-block;
    margin: 0 10px;
}

#top_panel a, #sticky_menu a {
    text-decoration: none;
    font-size: larger;
    color: #ffffff;
}

#sticky_menu {
    background-color: var(--main_color);
    color: #fff;
    padding: 10px;
    text-align: center;
    position: fixed;
    top: 0;
    width: 100%;
    display: none;
    z-index: 1000;
}

/* Add a class to style the language dropdown */
.language-dropdown {
    position: relative;
    font-weight: bold;
    display: flex;
    align-items: center;
    margin-top: 10px; /* Add margin for spacing */
    margin-left: 0;
}

/* Style the custom dropdown */
.custom-dropdown {
    position: relative;
    cursor: pointer;
}

/* Style the selected option */
.selected-option {
    color: #000000;
    padding: 7px;
    font-size: 14px;
    border-radius: 10px;
    background-color:  #ffffff;
    display: flex;
    align-items: center;
    width: auto;
}

/* Style the flag image inside the selected option */
.selected-option img {
    margin-right: 5px;
    max-width: 20px; /* Adjust the maximum width of the flag image */
    max-height: 20px; /* Adjust the maximum height of the flag image */
}

/* Style the dropdown list */
.dropdown-list {
    list-style: none;
    padding: 0;
    margin: 0;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: none;
    z-index: 1;
}

/* Style each dropdown option */
.dropdown-list li {
    color: #000000;
    padding: 8px;
    font-size: 14px;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    align-items: center;
}

/* Add flag images for each option */
.dropdown-list li img {
    margin-right: 5px;
    max-width: 20px; /* Adjust the maximum width of the flag image */
    max-height: 20px; /* Adjust the maximum height of the flag image */
}

/* Show the dropdown list on hover */
.custom-dropdown:hover .dropdown-list {
    display: block;
    z-index: 1;
}


#footer {
    display: grid;
    grid-template-columns: auto auto;
    justify-content:space-evenly;
    background-color: rgb(161, 161, 161);
    color: #000000;
    padding: 30px;
}

.footer_info{
    font-weight: 550;
    width: 120%;
    /* padding-right: 70%; */
}

.call{
    width: 20px;
    height: 20px;
    padding-right: 1%;
}

.footer_info_2{
    /* width: 120%; */
    display: flex;
    flex-direction: column;
    /* padding-left: 70%; */
}

.checkout_reviews_air{
    width: 120px;
    border: 2px solid red;
    background-color: white;
    padding: 1px 1px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 30px;
}

.checkout_reviews_nat2{
    width: 165px;
    margin-top: 1%;
    border: 2px solid #8a2df5;;
    background-color: white;
    padding: 1px 1px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    border-radius: 30px;
}

.contact{
    margin-bottom: 0;
}

#direct:hover, #address:hover {
    text-decoration: underline;
    color: rgb(167, 35, 167);
}

@media (max-width: 1000px)  {
    #top_panel a, #sticky_menu a{
        font-size: 14px;
        font-weight: bold;
    }

    .selected-option{
        font-size: 0px;
    }

    .dropdown-list {
        left: -200%; 
    }

    #footer {
        grid-template-columns: auto;
        font-size: 90%;
    }
    

}
